summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2016-09-30 18:43:23 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2016-09-30 21:12:13 -0500
commitb54a183dd82914e18bd3ddaae8605e029c4ad14d (patch)
tree41edd0e616280b03be74d6e95c057720ae2678d9 /dev-python/oslo-privsep
parentmedia-libs/webrtc-audio-processing: x86 stable, bug 587010 (diff)
downloadgentoo-b54a183dd82914e18bd3ddaae8605e029c4ad14d.tar.gz
gentoo-b54a183dd82914e18bd3ddaae8605e029c4ad14d.tar.bz2
gentoo-b54a183dd82914e18bd3ddaae8605e029c4ad14d.zip
openstack p2, newton is done, will add heat later
Diffstat (limited to 'dev-python/oslo-privsep')
-rw-r--r--dev-python/oslo-privsep/Manifest1
-rw-r--r--dev-python/oslo-privsep/metadata.xml18
-rw-r--r--dev-python/oslo-privsep/oslo-privsep-1.13.0.ebuild52
3 files changed, 71 insertions, 0 deletions
diff --git a/dev-python/oslo-privsep/Manifest b/dev-python/oslo-privsep/Manifest
new file mode 100644
index 00000000000..d46a2e84c23
--- /dev/null
+++ b/dev-python/oslo-privsep/Manifest
@@ -0,0 +1 @@
+DIST oslo.privsep-1.13.0.tar.gz 29671 SHA256 45e55f5107634939bcbacec879e43a67190001e4e2b108b15753e70cb07ca4ee SHA512 d897df3b0c664062b3f2dbae76e5d4dd809d508a75f3ff7122d4c892d68b57caa5cab19794c3df8bbd69d03dcc4914e803898b4132dadd80dc04c65bec22f8d3 WHIRLPOOL a40a27c803059bcc2c734db587b0f68289b2e3183a3671b2ad2489262ca837f105ae88634d56a26042c348702fe276303eb3dc1eee48ac8fc0494265f5fbbc0c
diff --git a/dev-python/oslo-privsep/metadata.xml b/dev-python/oslo-privsep/metadata.xml
new file mode 100644
index 00000000000..43a2333c401
--- /dev/null
+++ b/dev-python/oslo-privsep/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>prometheanfire@gentoo.org</email>
+ <name>Matthew Thode</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription lang="en">
+ OpenStack library for privilege separation
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">oslo.privsep</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/oslo-privsep/oslo-privsep-1.13.0.ebuild b/dev-python/oslo-privsep/oslo-privsep-1.13.0.ebuild
new file mode 100644
index 00000000000..db38ecf820c
--- /dev/null
+++ b/dev-python/oslo-privsep/oslo-privsep-1.13.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="OpenStack library for privilege separation."
+HOMEPAGE="https://pypi.python.org/pypi/oslo.privsep"
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.privsep/oslo.privsep-${PV}.tar.gz"
+S="${WORKDIR}/oslo.privsep-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+CDEPEND="
+ >=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-sphinx-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}] )"
+RDEPEND="
+ >=dev-python/oslo-log-1.14.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-3.14.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.16.0[${PYTHON_USEDEP}]
+ virtual/python-enum34[${PYTHON_USEDEP}]
+ dev-python/cffi[${PYTHON_USEDEP}]
+ >=dev-python/eventlet-0.18.4[${PYTHON_USEDEP}]
+ >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
+ >=dev-python/msgpack-0.4.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+# python_test() {
+# }